Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rs.impl
Class RegistryPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.ohf.ihe.common.ebxml._2._1.rs.impl.RegistryPackageImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, RegistryPackage

    public class RegistryPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements RegistryPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.ohf.ihe.common.ebxml._2._1.rs.RegistryPackage
`RegistryPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.ohf.ihe.common.ebxml._2._1.rs.RegistryPackage
`ADD_SLOTS_REQUEST_TYPE, ADD_SLOTS_REQUEST_TYPE__OBJECT_REF, ADD_SLOTS_REQUEST_TYPE__SLOT, ADD_SLOTS_REQUEST_TYPE_FEATURE_COUNT, APPROVE_OBJECTS_REQUEST_TYPE, APPROVE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST, APPROVE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT, DELETION_SCOPE_TYPE, DELETION_SCOPE_TYPE_OBJECT, DEPRECATE_OBJECTS_REQUEST_TYPE, DEPRECATE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST, DEPRECATE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT, DOCUMENT_ROOT, DOCUMENT_ROOT__ADD_SLOTS_REQUEST, DOCUMENT_ROOT__APPROVE_OBJECTS_REQUEST, DOCUMENT_ROOT__DEPRECATE_OBJECTS_REQUEST, DOCUMENT_ROOT__MIXED, DOCUMENT_ROOT__OPTIONAL_FEATURES_SUPPORTED, DOCUMENT_ROOT__REGISTRY_ERROR, DOCUMENT_ROOT__REGISTRY_ERROR_LIST, DOCUMENT_ROOT__REGISTRY_PROFILE, DOCUMENT_ROOT__REGISTRY_RESPONSE, DOCUMENT_ROOT__REMOVE_OBJECTS_REQUEST, DOCUMENT_ROOT__REMOVE_SLOTS_REQUEST, DOCUMENT_ROOT__REQUEST_ACCEPTED_RESPONSE, DOCUMENT_ROOT__ROOT_ELEMENT, DOCUMENT_ROOT__SUBMIT_OBJECTS_REQUEST, DOCUMENT_ROOT__UPDATE_OBJECTS_REQUEST, DOCUMENT_ROOT__XMLNS_PREFIX_MAP, DOCUMENT_ROOT__XSI_SCHEMA_LOCATION, DOCUMENT_ROOT_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, ERROR_TYPE, ERROR_TYPE_OBJECT, OPTIONAL_FEATURES_SUPPORTED_TYPE, OPTIONAL_FEATURES_SUPPORTED_TYPE__SQL_QUERY, OPTIONAL_FEATURES_SUPPORTED_TYPE__XQUERY, OPTIONAL_FEATURES_SUPPORTED_TYPE_FEATURE_COUNT, REGISTRY_ERROR_LIST_TYPE, REGISTRY_ERROR_LIST_TYPE__HIGHEST_SEVERITY, REGISTRY_ERROR_LIST_TYPE__REGISTRY_ERROR, REGISTRY_ERROR_LIST_TYPE_FEATURE_COUNT, REGISTRY_ERROR_TYPE, REGISTRY_ERROR_TYPE__CODE_CONTEXT, REGISTRY_ERROR_TYPE__ERROR_CODE, REGISTRY_ERROR_TYPE__LOCATION, REGISTRY_ERROR_TYPE__SEVERITY, REGISTRY_ERROR_TYPE__VALUE, REGISTRY_ERROR_TYPE_FEATURE_COUNT, REGISTRY_PROFILE_TYPE, REGISTRY_PROFILE_TYPE__OPTIONAL_FEATURES_SUPPORTED, REGISTRY_PROFILE_TYPE__VERSION, REGISTRY_PROFILE_TYPE_FEATURE_COUNT, REGISTRY_RESPONSE_TYPE, REGISTRY_RESPONSE_TYPE__ADHOC_QUERY_RESPONSE, REGISTRY_RESPONSE_TYPE__GET_CONTENT_RESPONSE, REGISTRY_RESPONSE_TYPE__REGISTRY_ERROR_LIST, REGISTRY_RESPONSE_TYPE__STATUS, REGISTRY_RESPONSE_TYPE_FEATURE_COUNT, REMOVE_OBJECTS_REQUEST_TYPE, REMOVE_OBJECTS_REQUEST_TYPE__DELETION_SCOPE, REMOVE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST, REMOVE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT, REMOVE_SLOTS_REQUEST_TYPE, REMOVE_SLOTS_REQUEST_TYPE__OBJECT_REF, REMOVE_SLOTS_REQUEST_TYPE__SLOT, REMOVE_SLOTS_REQUEST_TYPE_FEATURE_COUNT, REQUEST_ACCEPTED_RESPONSE_TYPE, REQUEST_ACCEPTED_RESPONSE_TYPE_FEATURE_COUNT, ROOT_ELEMENT_TYPE, ROOT_ELEMENT_TYPE__ADD_SLOTS_REQUEST, ROOT_ELEMENT_TYPE__ADHOC_QUERY_REQUEST, ROOT_ELEMENT_TYPE__APPROVE_OBJECTS_REQUEST, ROOT_ELEMENT_TYPE__DEPRECATE_OBJECTS_REQUEST, ROOT_ELEMENT_TYPE__GET_CONTENT_REQUEST, ROOT_ELEMENT_TYPE__REGISTRY_PROFILE, ROOT_ELEMENT_TYPE__REGISTRY_RESPONSE, ROOT_ELEMENT_TYPE__REMOVE_OBJECTS_REQUEST, ROOT_ELEMENT_TYPE__REMOVE_SLOTS_REQUEST, ROOT_ELEMENT_TYPE__SUBMIT_OBJECTS_REQUEST, ROOT_ELEMENT_TYPE__UPDATE_OBJECTS_REQUEST, ROOT_ELEMENT_TYPE_FEATURE_COUNT, STATUS_TYPE, STATUS_TYPE_OBJECT, SUBMIT_OBJECTS_REQUEST_TYPE, SUBMIT_OBJECTS_REQUEST_TYPE__LEAF_REGISTRY_OBJECT_LIST, SUBMIT_OBJECTS_REQUEST_TYPE_FEATURE_COUNT, UPDATE_OBJECTS_REQUEST_TYPE, UPDATE_OBJECTS_REQUEST_TYPE__LEAF_REGISTRY_OBJECT_LIST, UPDATE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` | `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EReference` | `getAddSlotsRequestType_ObjectRef()`
`org.eclipse.emf.ecore.EReference` | `getAddSlotsRequestType_Slot()`
`org.eclipse.emf.ecore.EClass` | `getAddSlotsRequestType()`
`org.eclipse.emf.ecore.EReference` | `getApproveObjectsRequestType_ObjectRefList()`
`org.eclipse.emf.ecore.EClass` | `getApproveObjectsRequestType()`
`org.eclipse.emf.ecore.EEnum` | `getDeletionScopeType()`
`org.eclipse.emf.ecore.EDataType` | `getDeletionScopeTypeObject()`
`org.eclipse.emf.ecore.EReference` | `getDeprecateObjectsRequestType_ObjectRefList()`
`org.eclipse.emf.ecore.EClass` | `getDeprecateObjectsRequestType()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_AddSlotsRequest()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ApproveObjectsRequest()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_DeprecateObjectsRequest()`
`org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_Mixed()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_OptionalFeaturesSupported()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryError()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryErrorList()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryProfile()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryResponse()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RemoveObjectsRequest()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RemoveSlotsRequest()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RequestAcceptedResponse()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RootElement()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_SubmitObjectsRequest()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_UpdateObjectsRequest()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XMLNSPrefixMap()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XSISchemaLocation()`
`org.eclipse.emf.ecore.EClass` | `getDocumentRoot()`
`org.eclipse.emf.ecore.EEnum` | `getErrorType()`
`org.eclipse.emf.ecore.EDataType` | `getErrorTypeObject()`
`org.eclipse.emf.ecore.EAttribute` | `getOptionalFeaturesSupportedType_SqlQuery()`
`org.eclipse.emf.ecore.EAttribute` | `getOptionalFeaturesSupportedType_XQuery()`
`org.eclipse.emf.ecore.EClass` | `getOptionalFeaturesSupportedType()`
`org.eclipse.emf.ecore.EAttribute` | `getRegistryErrorListType_HighestSeverity()`
`org.eclipse.emf.ecore.EReference` | `getRegistryErrorListType_RegistryError()`
`org.eclipse.emf.ecore.EClass` | `getRegistryErrorListType()`
`org.eclipse.emf.ecore.EAttribute` | `getRegistryErrorType_CodeContext()`
`org.eclipse.emf.ecore.EAttribute` | `getRegistryErrorType_ErrorCode()`
`org.eclipse.emf.ecore.EAttribute` | `getRegistryErrorType_Location()`
`org.eclipse.emf.ecore.EAttribute` | `getRegistryErrorType_Severity()`
`org.eclipse.emf.ecore.EAttribute` | `getRegistryErrorType_Value()`
`org.eclipse.emf.ecore.EClass` | `getRegistryErrorType()`
`RegistryFactory` | `getRegistryFactory()`
`org.eclipse.emf.ecore.EReference` | `getRegistryProfileType_OptionalFeaturesSupported()`
`org.eclipse.emf.ecore.EAttribute` | `getRegistryProfileType_Version()`
`org.eclipse.emf.ecore.EClass` | `getRegistryProfileType()`
`org.eclipse.emf.ecore.EReference` | `getRegistryResponseType_AdhocQueryResponse()`
`org.eclipse.emf.ecore.EReference` | `getRegistryResponseType_GetContentResponse()`
`org.eclipse.emf.ecore.EReference` | `getRegistryResponseType_RegistryErrorList()`
`org.eclipse.emf.ecore.EAttribute` | `getRegistryResponseType_Status()`
`org.eclipse.emf.ecore.EClass` | `getRegistryResponseType()`
`org.eclipse.emf.ecore.EAttribute` | `getRemoveObjectsRequestType_DeletionScope()`
`org.eclipse.emf.ecore.EReference` | `getRemoveObjectsRequestType_ObjectRefList()`
`org.eclipse.emf.ecore.EClass` | `getRemoveObjectsRequestType()`
`org.eclipse.emf.ecore.EReference` | `getRemoveSlotsRequestType_ObjectRef()`
`org.eclipse.emf.ecore.EReference` | `getRemoveSlotsRequestType_Slot()`
`org.eclipse.emf.ecore.EClass` | `getRemoveSlotsRequestType()`
`org.eclipse.emf.ecore.EClass` | `getRequestAcceptedResponseType()`
`org.eclipse.emf.ecore.EReference` | `getRootElementType_AddSlotsRequest()`
`org.eclipse.emf.ecore.EReference` | `getRootElementType_AdhocQueryRequest()`
`org.eclipse.emf.ecore.EReference` | `getRootElementType_ApproveObjectsRequest()`
`org.eclipse.emf.ecore.EReference` | `getRootElementType_DeprecateObjectsRequest()`
`org.eclipse.emf.ecore.EReference` | `getRootElementType_GetContentRequest()`
`org.eclipse.emf.ecore.EReference` | `getRootElementType_RegistryProfile()`
`org.eclipse.emf.ecore.EReference` | `getRootElementType_RegistryResponse()`
`org.eclipse.emf.ecore.EReference` | `getRootElementType_RemoveObjectsRequest()`
`org.eclipse.emf.ecore.EReference` | `getRootElementType_RemoveSlotsRequest()`
`org.eclipse.emf.ecore.EReference` | `getRootElementType_SubmitObjectsRequest()`
`org.eclipse.emf.ecore.EReference` | `getRootElementType_UpdateObjectsRequest()`
`org.eclipse.emf.ecore.EClass` | `getRootElementType()`
`org.eclipse.emf.ecore.EEnum` | `getStatusType()`
`org.eclipse.emf.ecore.EDataType` | `getStatusTypeObject()`
`org.eclipse.emf.ecore.EReference` | `getSubmitObjectsRequestType_LeafRegistryObjectList()`
`org.eclipse.emf.ecore.EClass` | `getSubmitObjectsRequestType()`
`org.eclipse.emf.ecore.EReference` | `getUpdateObjectsRequestType_LeafRegistryObjectList()`
`org.eclipse.emf.ecore.EClass` | `getUpdateObjectsRequestType()`
`static RegistryPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static RegistryPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `RegistryPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getAddSlotsRequestType

    public org.eclipse.emf.ecore.EClass getAddSlotsRequestType()

  Specified by:
    `getAddSlotsRequestType` in interface `RegistryPackage`
  Returns:
    the meta object for class 'Add Slots Request Type'.
  See Also:
    `AddSlotsRequestType`

### getAddSlotsRequestType_ObjectRef

    public org.eclipse.emf.ecore.EReference getAddSlotsRequestType_ObjectRef()

  Specified by:
    `getAddSlotsRequestType_ObjectRef` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Object Ref'.
  See Also:
    `AddSlotsRequestType.getObjectRef()`, `RegistryPackage.getAddSlotsRequestType()`

### getAddSlotsRequestType_Slot

    public org.eclipse.emf.ecore.EReference getAddSlotsRequestType_Slot()

  Specified by:
    `getAddSlotsRequestType_Slot` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference list 'Slot'.
  See Also:
    `AddSlotsRequestType.getSlot()`, `RegistryPackage.getAddSlotsRequestType()`

### getApproveObjectsRequestType

    public org.eclipse.emf.ecore.EClass getApproveObjectsRequestType()

  Specified by:
    `getApproveObjectsRequestType` in interface `RegistryPackage`
  Returns:
    the meta object for class 'Approve Objects Request Type'.
  See Also:
    `ApproveObjectsRequestType`

### getApproveObjectsRequestType_ObjectRefList

    public org.eclipse.emf.ecore.EReference getApproveObjectsRequestType_ObjectRefList()

  Specified by:
    `getApproveObjectsRequestType_ObjectRefList` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Object Ref List'.
  See Also:
    `ApproveObjectsRequestType.getObjectRefList()`, `RegistryPackage.getApproveObjectsRequestType()`

### getDeprecateObjectsRequestType

    public org.eclipse.emf.ecore.EClass getDeprecateObjectsRequestType()

  Specified by:
    `getDeprecateObjectsRequestType` in interface `RegistryPackage`
  Returns:
    the meta object for class 'Deprecate Objects Request Type'.
  See Also:
    `DeprecateObjectsRequestType`

### getDeprecateObjectsRequestType_ObjectRefList

    public org.eclipse.emf.ecore.EReference getDeprecateObjectsRequestType_ObjectRefList()

  Specified by:
    `getDeprecateObjectsRequestType_ObjectRefList` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Object Ref List'.
  See Also:
    `DeprecateObjectsRequestType.getObjectRefList()`, `RegistryPackage.getDeprecateObjectsRequestType()`

### getDocumentRoot

    public org.eclipse.emf.ecore.EClass getDocumentRoot()

  Specified by:
    `getDocumentRoot` in interface `RegistryPackage`
  Returns:
    the meta object for class 'Document Root'.
  See Also:
    `DocumentRoot`

### getDocumentRoot_Mixed

    public org.eclipse.emf.ecore.EAttribute getDocumentRoot_Mixed()

  Specified by:
    `getDocumentRoot_Mixed` in interface `RegistryPackage`
  Returns:
    the meta object for the attribute list 'Mixed'.
  See Also:
    `DocumentRoot.getMixed()`, `RegistryPackage.getDocumentRoot()`

### getDocumentRoot_XMLNSPrefixMap

    public org.eclipse.emf.ecore.EReference getDocumentRoot_XMLNSPrefixMap()

  Specified by:
    `getDocumentRoot_XMLNSPrefixMap` in interface `RegistryPackage`
  Returns:
    the meta object for the map 'XMLNS Prefix Map'.
  See Also:
    `DocumentRoot.getXMLNSPrefixMap()`, `RegistryPackage.getDocumentRoot()`

### getDocumentRoot_XSISchemaLocation

    public org.eclipse.emf.ecore.EReference getDocumentRoot_XSISchemaLocation()

  Specified by:
    `getDocumentRoot_XSISchemaLocation` in interface `RegistryPackage`
  Returns:
    the meta object for the map 'XSI Schema Location'.
  See Also:
    `DocumentRoot.getXSISchemaLocation()`, `RegistryPackage.getDocumentRoot()`

### getDocumentRoot_AddSlotsRequest

    public org.eclipse.emf.ecore.EReference getDocumentRoot_AddSlotsRequest()

  Specified by:
    `getDocumentRoot_AddSlotsRequest` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Add Slots Request'.
  See Also:
    `DocumentRoot.getAddSlotsRequest()`, `RegistryPackage.getDocumentRoot()`

### getDocumentRoot_ApproveObjectsRequest

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ApproveObjectsRequest()

  Specified by:
    `getDocumentRoot_ApproveObjectsRequest` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Approve Objects Request'.
  See Also:
    `DocumentRoot.getApproveObjectsRequest()`, `RegistryPackage.getDocumentRoot()`

### getDocumentRoot_DeprecateObjectsRequest

    public org.eclipse.emf.ecore.EReference getDocumentRoot_DeprecateObjectsRequest()

  Specified by:
    `getDocumentRoot_DeprecateObjectsRequest` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Deprecate Objects Request'.
  See Also:
    `DocumentRoot.getDeprecateObjectsRequest()`, `RegistryPackage.getDocumentRoot()`

### getDocumentRoot_OptionalFeaturesSupported

    public org.eclipse.emf.ecore.EReference getDocumentRoot_OptionalFeaturesSupported()

  Specified by:
    `getDocumentRoot_OptionalFeaturesSupported` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Optional Features Supported'.
  See Also:
    `DocumentRoot.getOptionalFeaturesSupported()`, `RegistryPackage.getDocumentRoot()`

### getDocumentRoot_RegistryError

    public org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryError()

  Specified by:
    `getDocumentRoot_RegistryError` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Registry Error'.
  See Also:
    `DocumentRoot.getRegistryError()`, `RegistryPackage.getDocumentRoot()`

### getDocumentRoot_RegistryErrorList

    public org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryErrorList()

  Specified by:
    `getDocumentRoot_RegistryErrorList` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Registry Error List'.
  See Also:
    `DocumentRoot.getRegistryErrorList()`, `RegistryPackage.getDocumentRoot()`

### getDocumentRoot_RegistryProfile

    public org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryProfile()

  Specified by:
    `getDocumentRoot_RegistryProfile` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Registry Profile'.
  See Also:
    `DocumentRoot.getRegistryProfile()`, `RegistryPackage.getDocumentRoot()`

### getDocumentRoot_RegistryResponse

    public org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryResponse()

  Specified by:
    `getDocumentRoot_RegistryResponse` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Registry Response'.
  See Also:
    `DocumentRoot.getRegistryResponse()`, `RegistryPackage.getDocumentRoot()`

### getDocumentRoot_RemoveObjectsRequest

    public org.eclipse.emf.ecore.EReference getDocumentRoot_RemoveObjectsRequest()

  Specified by:
    `getDocumentRoot_RemoveObjectsRequest` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Remove Objects Request'.
  See Also:
    `DocumentRoot.getRemoveObjectsRequest()`, `RegistryPackage.getDocumentRoot()`

### getDocumentRoot_RemoveSlotsRequest

    public org.eclipse.emf.ecore.EReference getDocumentRoot_RemoveSlotsRequest()

  Specified by:
    `getDocumentRoot_RemoveSlotsRequest` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Remove Slots Request'.
  See Also:
    `DocumentRoot.getRemoveSlotsRequest()`, `RegistryPackage.getDocumentRoot()`

### getDocumentRoot_RequestAcceptedResponse

    public org.eclipse.emf.ecore.EReference getDocumentRoot_RequestAcceptedResponse()

  Specified by:
    `getDocumentRoot_RequestAcceptedResponse` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Request Accepted Response'.
  See Also:
    `DocumentRoot.getRequestAcceptedResponse()`, `RegistryPackage.getDocumentRoot()`

### getDocumentRoot_RootElement

    public org.eclipse.emf.ecore.EReference getDocumentRoot_RootElement()

  Specified by:
    `getDocumentRoot_RootElement` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Root Element'.
  See Also:
    `DocumentRoot.getRootElement()`, `RegistryPackage.getDocumentRoot()`

### getDocumentRoot_SubmitObjectsRequest

    public org.eclipse.emf.ecore.EReference getDocumentRoot_SubmitObjectsRequest()

  Specified by:
    `getDocumentRoot_SubmitObjectsRequest` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Submit Objects Request'.
  See Also:
    `DocumentRoot.getSubmitObjectsRequest()`, `RegistryPackage.getDocumentRoot()`

### getDocumentRoot_UpdateObjectsRequest

    public org.eclipse.emf.ecore.EReference getDocumentRoot_UpdateObjectsRequest()

  Specified by:
    `getDocumentRoot_UpdateObjectsRequest` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Update Objects Request'.
  See Also:
    `DocumentRoot.getUpdateObjectsRequest()`, `RegistryPackage.getDocumentRoot()`

### getOptionalFeaturesSupportedType

    public org.eclipse.emf.ecore.EClass getOptionalFeaturesSupportedType()

  Specified by:
    `getOptionalFeaturesSupportedType` in interface `RegistryPackage`
  Returns:
    the meta object for class 'Optional Features Supported Type'.
  See Also:
    `OptionalFeaturesSupportedType`

### getOptionalFeaturesSupportedType_SqlQuery

    public org.eclipse.emf.ecore.EAttribute getOptionalFeaturesSupportedType_SqlQuery()

  Specified by:
    `getOptionalFeaturesSupportedType_SqlQuery` in interface `RegistryPackage`
  Returns:
    the meta object for the attribute 'Sql Query'.
  See Also:
    `OptionalFeaturesSupportedType.isSqlQuery()`, `RegistryPackage.getOptionalFeaturesSupportedType()`

### getOptionalFeaturesSupportedType_XQuery

    public org.eclipse.emf.ecore.EAttribute getOptionalFeaturesSupportedType_XQuery()

  Specified by:
    `getOptionalFeaturesSupportedType_XQuery` in interface `RegistryPackage`
  Returns:
    the meta object for the attribute 'XQuery'.
  See Also:
    `OptionalFeaturesSupportedType.isXQuery()`, `RegistryPackage.getOptionalFeaturesSupportedType()`

### getRegistryErrorListType

    public org.eclipse.emf.ecore.EClass getRegistryErrorListType()

  Specified by:
    `getRegistryErrorListType` in interface `RegistryPackage`
  Returns:
    the meta object for class 'Error List Type'.
  See Also:
    `RegistryErrorListType`

### getRegistryErrorListType_RegistryError

    public org.eclipse.emf.ecore.EReference getRegistryErrorListType_RegistryError()

  Specified by:
    `getRegistryErrorListType_RegistryError` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference list 'Registry Error'.
  See Also:
    `RegistryErrorListType.getRegistryError()`, `RegistryPackage.getRegistryErrorListType()`

### getRegistryErrorListType_HighestSeverity

    public org.eclipse.emf.ecore.EAttribute getRegistryErrorListType_HighestSeverity()

  Specified by:
    `getRegistryErrorListType_HighestSeverity` in interface `RegistryPackage`
  Returns:
    the meta object for the attribute 'Highest Severity'.
  See Also:
    `RegistryErrorListType.getHighestSeverity()`, `RegistryPackage.getRegistryErrorListType()`

### getRegistryErrorType

    public org.eclipse.emf.ecore.EClass getRegistryErrorType()

  Specified by:
    `getRegistryErrorType` in interface `RegistryPackage`
  Returns:
    the meta object for class 'Error Type'.
  See Also:
    `RegistryErrorType`

### getRegistryErrorType_Value

    public org.eclipse.emf.ecore.EAttribute getRegistryErrorType_Value()

  Specified by:
    `getRegistryErrorType_Value` in interface `RegistryPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `RegistryErrorType.getValue()`, `RegistryPackage.getRegistryErrorType()`

### getRegistryErrorType_CodeContext

    public org.eclipse.emf.ecore.EAttribute getRegistryErrorType_CodeContext()

  Specified by:
    `getRegistryErrorType_CodeContext` in interface `RegistryPackage`
  Returns:
    the meta object for the attribute 'Code Context'.
  See Also:
    `RegistryErrorType.getCodeContext()`, `RegistryPackage.getRegistryErrorType()`

### getRegistryErrorType_ErrorCode

    public org.eclipse.emf.ecore.EAttribute getRegistryErrorType_ErrorCode()

  Specified by:
    `getRegistryErrorType_ErrorCode` in interface `RegistryPackage`
  Returns:
    the meta object for the attribute 'Error Code'.
  See Also:
    `RegistryErrorType.getErrorCode()`, `RegistryPackage.getRegistryErrorType()`

### getRegistryErrorType_Location

    public org.eclipse.emf.ecore.EAttribute getRegistryErrorType_Location()

  Specified by:
    `getRegistryErrorType_Location` in interface `RegistryPackage`
  Returns:
    the meta object for the attribute 'Location'.
  See Also:
    `RegistryErrorType.getLocation()`, `RegistryPackage.getRegistryErrorType()`

### getRegistryErrorType_Severity

    public org.eclipse.emf.ecore.EAttribute getRegistryErrorType_Severity()

  Specified by:
    `getRegistryErrorType_Severity` in interface `RegistryPackage`
  Returns:
    the meta object for the attribute 'Severity'.
  See Also:
    `RegistryErrorType.getSeverity()`, `RegistryPackage.getRegistryErrorType()`

### getRegistryProfileType

    public org.eclipse.emf.ecore.EClass getRegistryProfileType()

  Specified by:
    `getRegistryProfileType` in interface `RegistryPackage`
  Returns:
    the meta object for class 'Profile Type'.
  See Also:
    `RegistryProfileType`

### getRegistryProfileType_OptionalFeaturesSupported

    public org.eclipse.emf.ecore.EReference getRegistryProfileType_OptionalFeaturesSupported()

  Specified by:
    `getRegistryProfileType_OptionalFeaturesSupported` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Optional Features Supported'.
  See Also:
    `RegistryProfileType.getOptionalFeaturesSupported()`, `RegistryPackage.getRegistryProfileType()`

### getRegistryProfileType_Version

    public org.eclipse.emf.ecore.EAttribute getRegistryProfileType_Version()

  Specified by:
    `getRegistryProfileType_Version` in interface `RegistryPackage`
  Returns:
    the meta object for the attribute 'Version'.
  See Also:
    `RegistryProfileType.getVersion()`, `RegistryPackage.getRegistryProfileType()`

### getRegistryResponseType

    public org.eclipse.emf.ecore.EClass getRegistryResponseType()

  Specified by:
    `getRegistryResponseType` in interface `RegistryPackage`
  Returns:
    the meta object for class 'Response Type'.
  See Also:
    `RegistryResponseType`

### getRegistryResponseType_AdhocQueryResponse

    public org.eclipse.emf.ecore.EReference getRegistryResponseType_AdhocQueryResponse()

  Specified by:
    `getRegistryResponseType_AdhocQueryResponse` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Adhoc Query Response'.
  See Also:
    `RegistryResponseType.getAdhocQueryResponse()`, `RegistryPackage.getRegistryResponseType()`

### getRegistryResponseType_GetContentResponse

    public org.eclipse.emf.ecore.EReference getRegistryResponseType_GetContentResponse()

  Specified by:
    `getRegistryResponseType_GetContentResponse` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Get Content Response'.
  See Also:
    `RegistryResponseType.getGetContentResponse()`, `RegistryPackage.getRegistryResponseType()`

### getRegistryResponseType_RegistryErrorList

    public org.eclipse.emf.ecore.EReference getRegistryResponseType_RegistryErrorList()

  Specified by:
    `getRegistryResponseType_RegistryErrorList` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Registry Error List'.
  See Also:
    `RegistryResponseType.getRegistryErrorList()`, `RegistryPackage.getRegistryResponseType()`

### getRegistryResponseType_Status

    public org.eclipse.emf.ecore.EAttribute getRegistryResponseType_Status()

  Specified by:
    `getRegistryResponseType_Status` in interface `RegistryPackage`
  Returns:
    the meta object for the attribute 'Status'.
  See Also:
    `RegistryResponseType.getStatus()`, `RegistryPackage.getRegistryResponseType()`

### getRemoveObjectsRequestType

    public org.eclipse.emf.ecore.EClass getRemoveObjectsRequestType()

  Specified by:
    `getRemoveObjectsRequestType` in interface `RegistryPackage`
  Returns:
    the meta object for class 'Remove Objects Request Type'.
  See Also:
    `RemoveObjectsRequestType`

### getRemoveObjectsRequestType_ObjectRefList

    public org.eclipse.emf.ecore.EReference getRemoveObjectsRequestType_ObjectRefList()

  Specified by:
    `getRemoveObjectsRequestType_ObjectRefList` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Object Ref List'.
  See Also:
    `RemoveObjectsRequestType.getObjectRefList()`, `RegistryPackage.getRemoveObjectsRequestType()`

### getRemoveObjectsRequestType_DeletionScope

    public org.eclipse.emf.ecore.EAttribute getRemoveObjectsRequestType_DeletionScope()

  Specified by:
    `getRemoveObjectsRequestType_DeletionScope` in interface `RegistryPackage`
  Returns:
    the meta object for the attribute 'Deletion Scope'.
  See Also:
    `RemoveObjectsRequestType.getDeletionScope()`, `RegistryPackage.getRemoveObjectsRequestType()`

### getRemoveSlotsRequestType

    public org.eclipse.emf.ecore.EClass getRemoveSlotsRequestType()

  Specified by:
    `getRemoveSlotsRequestType` in interface `RegistryPackage`
  Returns:
    the meta object for class 'Remove Slots Request Type'.
  See Also:
    `RemoveSlotsRequestType`

### getRemoveSlotsRequestType_ObjectRef

    public org.eclipse.emf.ecore.EReference getRemoveSlotsRequestType_ObjectRef()

  Specified by:
    `getRemoveSlotsRequestType_ObjectRef` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Object Ref'.
  See Also:
    `RemoveSlotsRequestType.getObjectRef()`, `RegistryPackage.getRemoveSlotsRequestType()`

### getRemoveSlotsRequestType_Slot

    public org.eclipse.emf.ecore.EReference getRemoveSlotsRequestType_Slot()

  Specified by:
    `getRemoveSlotsRequestType_Slot` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference list 'Slot'.
  See Also:
    `RemoveSlotsRequestType.getSlot()`, `RegistryPackage.getRemoveSlotsRequestType()`

### getRequestAcceptedResponseType

    public org.eclipse.emf.ecore.EClass getRequestAcceptedResponseType()

  Specified by:
    `getRequestAcceptedResponseType` in interface `RegistryPackage`
  Returns:
    the meta object for class 'Request Accepted Response Type'.
  See Also:
    `RequestAcceptedResponseType`

### getRootElementType

    public org.eclipse.emf.ecore.EClass getRootElementType()

  Specified by:
    `getRootElementType` in interface `RegistryPackage`
  Returns:
    the meta object for class 'Root Element Type'.
  See Also:
    `RootElementType`

### getRootElementType_SubmitObjectsRequest

    public org.eclipse.emf.ecore.EReference getRootElementType_SubmitObjectsRequest()

  Specified by:
    `getRootElementType_SubmitObjectsRequest` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Submit Objects Request'.
  See Also:
    `RootElementType.getSubmitObjectsRequest()`, `RegistryPackage.getRootElementType()`

### getRootElementType_UpdateObjectsRequest

    public org.eclipse.emf.ecore.EReference getRootElementType_UpdateObjectsRequest()

  Specified by:
    `getRootElementType_UpdateObjectsRequest` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Update Objects Request'.
  See Also:
    `RootElementType.getUpdateObjectsRequest()`, `RegistryPackage.getRootElementType()`

### getRootElementType_ApproveObjectsRequest

    public org.eclipse.emf.ecore.EReference getRootElementType_ApproveObjectsRequest()

  Specified by:
    `getRootElementType_ApproveObjectsRequest` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Approve Objects Request'.
  See Also:
    `RootElementType.getApproveObjectsRequest()`, `RegistryPackage.getRootElementType()`

### getRootElementType_DeprecateObjectsRequest

    public org.eclipse.emf.ecore.EReference getRootElementType_DeprecateObjectsRequest()

  Specified by:
    `getRootElementType_DeprecateObjectsRequest` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Deprecate Objects Request'.
  See Also:
    `RootElementType.getDeprecateObjectsRequest()`, `RegistryPackage.getRootElementType()`

### getRootElementType_RemoveObjectsRequest

    public org.eclipse.emf.ecore.EReference getRootElementType_RemoveObjectsRequest()

  Specified by:
    `getRootElementType_RemoveObjectsRequest` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Remove Objects Request'.
  See Also:
    `RootElementType.getRemoveObjectsRequest()`, `RegistryPackage.getRootElementType()`

### getRootElementType_AdhocQueryRequest

    public org.eclipse.emf.ecore.EReference getRootElementType_AdhocQueryRequest()

  Specified by:
    `getRootElementType_AdhocQueryRequest` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Adhoc Query Request'.
  See Also:
    `RootElementType.getAdhocQueryRequest()`, `RegistryPackage.getRootElementType()`

### getRootElementType_GetContentRequest

    public org.eclipse.emf.ecore.EReference getRootElementType_GetContentRequest()

  Specified by:
    `getRootElementType_GetContentRequest` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Get Content Request'.
  See Also:
    `RootElementType.getGetContentRequest()`, `RegistryPackage.getRootElementType()`

### getRootElementType_AddSlotsRequest

    public org.eclipse.emf.ecore.EReference getRootElementType_AddSlotsRequest()

  Specified by:
    `getRootElementType_AddSlotsRequest` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Add Slots Request'.
  See Also:
    `RootElementType.getAddSlotsRequest()`, `RegistryPackage.getRootElementType()`

### getRootElementType_RemoveSlotsRequest

    public org.eclipse.emf.ecore.EReference getRootElementType_RemoveSlotsRequest()

  Specified by:
    `getRootElementType_RemoveSlotsRequest` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Remove Slots Request'.
  See Also:
    `RootElementType.getRemoveSlotsRequest()`, `RegistryPackage.getRootElementType()`

### getRootElementType_RegistryResponse

    public org.eclipse.emf.ecore.EReference getRootElementType_RegistryResponse()

  Specified by:
    `getRootElementType_RegistryResponse` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Registry Response'.
  See Also:
    `RootElementType.getRegistryResponse()`, `RegistryPackage.getRootElementType()`

### getRootElementType_RegistryProfile

    public org.eclipse.emf.ecore.EReference getRootElementType_RegistryProfile()

  Specified by:
    `getRootElementType_RegistryProfile` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Registry Profile'.
  See Also:
    `RootElementType.getRegistryProfile()`, `RegistryPackage.getRootElementType()`

### getSubmitObjectsRequestType

    public org.eclipse.emf.ecore.EClass getSubmitObjectsRequestType()

  Specified by:
    `getSubmitObjectsRequestType` in interface `RegistryPackage`
  Returns:
    the meta object for class 'Submit Objects Request Type'.
  See Also:
    `SubmitObjectsRequestType`

### getSubmitObjectsRequestType_LeafRegistryObjectList

    public org.eclipse.emf.ecore.EReference getSubmitObjectsRequestType_LeafRegistryObjectList()

  Specified by:
    `getSubmitObjectsRequestType_LeafRegistryObjectList` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Leaf Registry Object List'.
  See Also:
    `SubmitObjectsRequestType.getLeafRegistryObjectList()`, `RegistryPackage.getSubmitObjectsRequestType()`

### getUpdateObjectsRequestType

    public org.eclipse.emf.ecore.EClass getUpdateObjectsRequestType()

  Specified by:
    `getUpdateObjectsRequestType` in interface `RegistryPackage`
  Returns:
    the meta object for class 'Update Objects Request Type'.
  See Also:
    `UpdateObjectsRequestType`

### getUpdateObjectsRequestType_LeafRegistryObjectList

    public org.eclipse.emf.ecore.EReference getUpdateObjectsRequestType_LeafRegistryObjectList()

  Specified by:
    `getUpdateObjectsRequestType_LeafRegistryObjectList` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Leaf Registry Object List'.
  See Also:
    `UpdateObjectsRequestType.getLeafRegistryObjectList()`, `RegistryPackage.getUpdateObjectsRequestType()`

### getDeletionScopeType

    public org.eclipse.emf.ecore.EEnum getDeletionScopeType()

  Specified by:
    `getDeletionScopeType` in interface `RegistryPackage`
  Returns:
    the meta object for enum 'Deletion Scope Type'.
  See Also:
    `DeletionScopeType`

### getErrorType

    public org.eclipse.emf.ecore.EEnum getErrorType()

  Specified by:
    `getErrorType` in interface `RegistryPackage`
  Returns:
    the meta object for enum 'Error Type'.
  See Also:
    `ErrorType`

### getStatusType

    public org.eclipse.emf.ecore.EEnum getStatusType()

  Specified by:
    `getStatusType` in interface `RegistryPackage`
  Returns:
    the meta object for enum 'Status Type'.
  See Also:
    `StatusType`

### getDeletionScopeTypeObject

    public org.eclipse.emf.ecore.EDataType getDeletionScopeTypeObject()

  Specified by:
    `getDeletionScopeTypeObject` in interface `RegistryPackage`
  Returns:
    the meta object for data type 'Deletion Scope Type Object'.
  See Also:
    `DeletionScopeType`

### getErrorTypeObject

    public org.eclipse.emf.ecore.EDataType getErrorTypeObject()

  Specified by:
    `getErrorTypeObject` in interface `RegistryPackage`
  Returns:
    the meta object for data type 'Error Type Object'.
  See Also:
    `ErrorType`

### getStatusTypeObject

    public org.eclipse.emf.ecore.EDataType getStatusTypeObject()

  Specified by:
    `getStatusTypeObject` in interface `RegistryPackage`
  Returns:
    the meta object for data type 'Status Type Object'.
  See Also:
    `StatusType`

### getRegistryFactory

    public RegistryFactory getRegistryFactory()

  Specified by:
    `getRegistryFactory` in interface `RegistryPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD